NameError: Cannot access action 'None', as that name is not a registered action for this domain. Help me to solve this

Microsoft Windows [Version 10.0.18362.1016] © 2019 Microsoft Corporation. All rights reserved.

(pythonProject12) C:\Users\Sathish\PycharmProjects\pythonProject12>rasa train 2020-09-05 00:06:26 INFO rasa.model - Data (domain) for Core model section chan ged. 2020-09-05 00:06:26 INFO rasa.model - Data (nlg) for NLG templates section chan ged. Training Core model… Processed Story Blocks: 100%|████████| 4/4 [00:00<00:00, 4010.81it/s, # trackers=1] Processed Story Blocks: 100%|████████| 4/4 [00:00<00:00, 2003.49it/s, # trackers=4] Processed Story Blocks: 100%|████████| 4/4 [00:00<00:00, 668.47it/s, # trackers=12] Processed Story Blocks: 100%|████████| 4/4 [00:00<00:00, 334.57it/s, # trackers=23] Processed trackers: 100%|████████████| 4/4 [00:00<00:00, 1336.94it/s, # actions=13] Processed actions: 7it [00:00, 7018.92it/s, # examples=7] Traceback (most recent call last): File “c:\users\sathish\anaconda3\envs\pythonproject12\lib\site-packages\rasa\core
domain.py”, line 546, in index_for_action return self.action_names.index(action_name) ValueError: None is not in list

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “c:\users\sathish\anaconda3\envs\pythonproject12\lib\runpy.py”, line 193, in run_module_as_main “main”, mod_spec) File “c:\users\sathish\anaconda3\envs\pythonproject12\lib\runpy.py”, line 85, in _ run_code exec(code, run_globals) File "C:\Users\Sathish\anaconda3\envs\pythonProject12\Scripts\rasa.exe_main.py ", line 7, in File “c:\users\sathish\anaconda3\envs\pythonproject12\lib\site-packages\rasa_mai n_.py”, line 92, in main cmdline_arguments.func(cmdline_arguments) File “c:\users\sathish\anaconda3\envs\pythonproject12\lib\site-packages\rasa\cli\t rain.py”, line 76, in train additional_arguments=extract_additional_arguments(args), File “c:\users\sathish\anaconda3\envs\pythonproject12\lib\site-packages\rasa\train .py”, line 50, in train additional_arguments=additional_arguments, File “c:\users\sathish\anaconda3\envs\pythonproject12\lib\asyncio\base_events.py”, line 587, in run_until_complete return future.result() File “c:\users\sathish\anaconda3\envs\pythonproject12\lib\site-packages\rasa\train .py”, line 101, in train_async additional_arguments, File “c:\users\sathish\anaconda3\envs\pythonproject12\lib\site-packages\rasa\train .py”, line 188, in _train_async_internal additional_arguments=additional_arguments, File “c:\users\sathish\anaconda3\envs\pythonproject12\lib\site-packages\rasa\train .py”, line 223, in _do_training additional_arguments=additional_arguments, File “c:\users\sathish\anaconda3\envs\pythonproject12\lib\site-packages\rasa\train .py”, line 361, in _train_core_with_validated_data additional_arguments=additional_arguments, File “c:\users\sathish\anaconda3\envs\pythonproject12\lib\site-packages\rasa\core
train.py”, line 66, in train agent.train(training_data, **additional_arguments) File “c:\users\sathish\anaconda3\envs\pythonproject12\lib\site-packages\rasa\core
agent.py”, line 742, in train self.policy_ensemble.train(training_trackers, self.domain, **kwargs) File “c:\users\sathish\anaconda3\envs\pythonproject12\lib\site-packages\rasa\core
policies\ensemble.py”, line 124, in train policy.train(training_trackers, domain, **kwargs) File “c:\users\sathish\anaconda3\envs\pythonproject12\lib\site-packages\rasa\core
policies\memoization.py”, line 163, in train self._add_states_to_lookup(trackers_as_states, trackers_as_actions, domain) File “c:\users\sathish\anaconda3\envs\pythonproject12\lib\site-packages\rasa\core
policies\memoization.py”, line 110, in _add_states_to_lookup feature_item = domain.index_for_action(action) File “c:\users\sathish\anaconda3\envs\pythonproject12\lib\site-packages\rasa\core
domain.py”, line 548, in index_for_action self._raise_action_not_found_exception(action_name) File “c:\users\sathish\anaconda3\envs\pythonproject12\lib\site-packages\rasa\core
domain.py”, line 553, in _raise_action_not_found_exception f"Cannot access action ‘{action_name}’, " NameError: Cannot access action ‘None’, as that name is not a registered action for this domain. Available actions are: - action_listen - action_restart - action_session_start - action_default_fallback - action_deactivate_form - action_revert_fallback_events - action_default_ask_affirmation - action_default_ask_rephrase - action_back - utter_ask_email - utter_ask_name - utter_ask_number - utter_goodbye - utter_greet - Form_Info

To use actions in rasa

  1. specify your action name in domain file under actions:
  2. model your action class as per docs
  3. make sure your action server is running
  4. make sure action endpoint is enabled in endpoints.yml

same error actions.py (1.6 KB) config.yml (752 Bytes) domain.yml (714 Bytes) endpoints.yml (1.4 KB) nlu.md (419 Bytes) stories.md (358 Bytes)

could you share the traceback as a pre formatted text. makes it easier to analyze